# DataGeneralizationScheme.GeneralizationDegree (ARX GUI Documentation)

org.deidentifier.arx

## Enum DataGeneralizationScheme.GeneralizationDegree

- java.lang.Object
- - java.lang.Enum<DataGeneralizationScheme.GeneralizationDegree>
  - - org.deidentifier.arx.DataGeneralizationScheme.GeneralizationDegree

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<DataGeneralizationScheme.GeneralizationDegree>
  Enclosing class:
    DataGeneralizationScheme

      public static enum DataGeneralizationScheme.GeneralizationDegree
      extends java.lang.Enum<DataGeneralizationScheme.GeneralizationDegree>
      implements java.io.Serializable

  A specific generalization degree

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COMPLETE`
    `HIGH`
    `LOW`
    `LOW_MEDIUM`
    `MEDIUM`
    `MEDIUM_HIGH`
    `NONE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected double` | `getFactor()` Returns the factor
    `static DataGeneralizationScheme.GeneralizationDegree` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DataGeneralizationScheme.GeneralizationDegree[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final DataGeneralizationScheme.GeneralizationDegree NONE

    - #### LOW

          public static final DataGeneralizationScheme.GeneralizationDegree LOW

    - #### LOW_MEDIUM

          public static final DataGeneralizationScheme.GeneralizationDegree LOW_MEDIUM

    - #### MEDIUM

          public static final DataGeneralizationScheme.GeneralizationDegree MEDIUM

    - #### MEDIUM_HIGH

          public static final DataGeneralizationScheme.GeneralizationDegree MEDIUM_HIGH

    - #### HIGH

          public static final DataGeneralizationScheme.GeneralizationDegree HIGH

    - #### COMPLETE

          public static final DataGeneralizationScheme.GeneralizationDegree COMPLETE

  - ### Method Detail

    - #### values

          public static DataGeneralizationScheme.GeneralizationDegree[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DataGeneralizationScheme.GeneralizationDegree c : DataGeneralizationScheme.GeneralizationDegree.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DataGeneralizationScheme.GeneralizationDegree valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getFactor

          protected double getFactor()

      Returns the factor
      Returns: